## javanet.staxutils
Class BaseXMLOutputFactory

    java.lang.Object
      javax.xml.stream.XMLOutputFactory
          javanet.staxutils.BaseXMLOutputFactory

Direct Known Subclasses:
  OutputFactory

    public abstract class BaseXMLOutputFactory

extends XMLOutputFactory

Base `XMLOutputFactory` that provides common event functionality.

Version:
  $Revision: 1.2 $
Author:
  Christian Niles

Field Summary

Fields inherited from class javax.xml.stream.XMLOutputFactory
`IS_REPAIRING_NAMESPACES`

Constructor Summary
`BaseXMLOutputFactory()`

Method Summary
`XMLEventWriter` `createXMLEventWriter(OutputStream stream)`
`XMLEventWriter` `createXMLEventWriter(OutputStream stream, String encoding)`
`XMLEventWriter` `createXMLEventWriter(Result result)`
`XMLEventWriter` `createXMLEventWriter(Writer stream)`
`XMLEventWriter` `createXMLEventWriter(XMLStreamWriter writer)` Creates an `XMLEventWriter` that writes to the provided `XMLStreamWriter`.
`XMLStreamWriter` `createXMLStreamWriter(OutputStream stream)`
`XMLStreamWriter` `createXMLStreamWriter(OutputStream stream, String encoding)`
`XMLStreamWriter` `createXMLStreamWriter(Result result)`
`Object` `getProperty(String name)`
`boolean` `isPropertySupported(String name)`
`void` `setProperty(String name, Object value)`

Methods inherited from class javax.xml.stream.XMLOutputFactory
`createXMLStreamWriter, newFactory, newFactory, newInstance, newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseXMLOutputFactory

    public BaseXMLOutputFactory()

Method Detail

### createXMLEventWriter

    public XMLEventWriter createXMLEventWriter(OutputStream stream,
                                               String encoding)
                                        throws XMLStreamException

  Specified by:
    `createXMLEventWriter` in class `XMLOutputFactory`
  Throws:
    `XMLStreamException`

### createXMLEventWriter

    public XMLEventWriter createXMLEventWriter(OutputStream stream)
                                        throws XMLStreamException

  Specified by:
    `createXMLEventWriter` in class `XMLOutputFactory`
  Throws:
    `XMLStreamException`

### createXMLStreamWriter

    public XMLStreamWriter createXMLStreamWriter(OutputStream stream,
                                                 String encoding)
                                          throws XMLStreamException

  Specified by:
    `createXMLStreamWriter` in class `XMLOutputFactory`
  Throws:
    `XMLStreamException`

### createXMLStreamWriter

    public XMLStreamWriter createXMLStreamWriter(OutputStream stream)
                                          throws XMLStreamException

  Specified by:
    `createXMLStreamWriter` in class `XMLOutputFactory`
  Throws:
    `XMLStreamException`

### createXMLEventWriter

    public XMLEventWriter createXMLEventWriter(Result result)
                                        throws XMLStreamException

  Specified by:
    `createXMLEventWriter` in class `XMLOutputFactory`
  Throws:
    `XMLStreamException`

### createXMLEventWriter

    public XMLEventWriter createXMLEventWriter(XMLStreamWriter writer)

  Creates an `XMLEventWriter` that writes to the provided `XMLStreamWriter`.

  Parameters:
    `writer` - The destination stream.
  Returns:
    An `XMLEventWriter` that writes to the provided `XMLStreamWriter`.

### createXMLEventWriter

    public XMLEventWriter createXMLEventWriter(Writer stream)
                                        throws XMLStreamException

  Specified by:
    `createXMLEventWriter` in class `XMLOutputFactory`
  Throws:
    `XMLStreamException`

### createXMLStreamWriter

    public XMLStreamWriter createXMLStreamWriter(Result result)
                                          throws XMLStreamException

  Specified by:
    `createXMLStreamWriter` in class `XMLOutputFactory`
  Throws:
    `XMLStreamException`

### getProperty

    public Object getProperty(String name)
                       throws IllegalArgumentException

  Specified by:
    `getProperty` in class `XMLOutputFactory`
  Throws:
    `IllegalArgumentException`

### isPropertySupported

    public boolean isPropertySupported(String name)

  Specified by:
    `isPropertySupported` in class `XMLOutputFactory`

### setProperty

    public void setProperty(String name,
                            Object value)
                     throws IllegalArgumentException

  Specified by:
    `setProperty` in class `XMLOutputFactory`
  Throws:
    `IllegalArgumentException`